[start]
start_tag=amlogic_start


[lcd_Attr]

#version
version=1

#basic
model_name=lvds_fhd
interface=LCD_LVDS # LCD_TTL, LCD_LVDS, LCD_VBYONE, LCD_MLVDS, LCD_P2P
lcd_bits=8
screen_width=16
screen_height=9

#timming
h_active=1920
v_active=1080
h_period=2200
v_period=1125
hsync_width=44
hsync_bp=148
hsync_pol=0
vsync_width=5
vsync_bp=30
vsync_pol=0

#customer
fr_adjust_type=2 # 0-clock, 1-htotal, 2-vtotal, 3-auto_range, 4-hdmi_mode
ss_level=15 # 0-disable, 2000ppm/step
clk_auto_gen=1
pixel_clk=0 # unit in Hz

#interface

#lvds_attr
if_attr_0=1 # lvds_repack
if_attr_1=1 # dual_port
if_attr_2=0 # pn_swap
if_attr_3=0 # port_swap

#phy_attr
if_attr_4=0xf #vswing_level
if_attr_5=0x0 #preemphasis_level

#power
#power type:(0=cpu_gpio, 1=pmu_gpio, 2=signal, 3=extern, 0xff=ending)
#power index:(point gpios_index, or extern_index, 0xff=invalid)
#power value:(0=output low, 1=output high, 2=input)
#power delay:(unit in ms)

power_on_step = {
    0,0,1,20, #panel power on
    2,0,0,0,  #signal enable
    0xff,0,0,0, #ending
};

power_off_step = {
    2,0,0,20,  #signal disable
    0,0,0,100, #panel power off
    0xff,0,0,0, #ending
};


[lcd_ext_Attr]

#version
version=1

#ext_config
ext_name=ext_default
ext_index=0xff
ext_type=LCD_EXTERN_I2C
ext_status=0


[Backlight_Attr]

#version
version=1

#name
bl_name=bl_pwm

#level

#bl_level_default_uboot_kernel
bl_level_uboot=100
bl_level_kernel=100

#bl_level_attr
bl_level_max=255
bl_level_min=10
bl_level_mid=128
bl_level_mid_mapping=128

#bl_ctrl_method: BL_CTRL_PWM, BL_CTRL_PWM_COMBO, BL_CTRL_LOCAL_DIMMING, BL_CTRL_EXTERN
bl_method=BL_CTRL_PWM

#bl_power_attr
bl_en_gpio=0
bl_en_gpio_on=1
bl_en_gpio_off=0
bl_on_delay=200
bl_off_delay=100

#pwm on/off delay
pwm_on_delay=10
pwm_off_delay=10

#bl_pwm_port: BL_PWM_A, BL_PWM_B, BL_PWM_C, BL_PWM_D, BL_PWM_E, BL_PWM_F, BL_PWM_VS
pwm_port=BL_PWM_C

#bl_pwm_attr
pwm_method=BL_PWM_POSITIVE # BL_PWM_NEGATIVE, BL_PWM_POSITIVE
pwm_freq=180 # pwm_vs: 1~4(vfreq multiple), other pwm: real freq(unit: Hz)
pwm_duty_max=100 # unit in %
pwm_duty_min=25 # unit in %

#bl_pwm_power
pwm_gpio=1
pwm_gpio_off=0


[panel_misc]
panel_misc_version=1
outputmode=1080p60hz
panel_reverse=0


[end]
end_tag=amlogic_end
